Subject: bug#65380: [PATCH] Add command to copy contents in a diff-mode buffer

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 14:06:55 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 19 Aug 2023 10:48:03 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Please tell more about the use cases where this would be useful.  I
> > couldn't understand that from the patch itself.
> 
> A simple example is where someone sends me a patch with a Elisp function
> I'd like to evaluate.  If I can't or don't want to apply the patch right
> now, I can use `diff-kill-ring-save' to copy the function without the
> leading "+" into my scratch buffer and evaluate it there.

But diffs don't necessarily show the entire body/ies of function(s),
they show just part of them.  So this seems to be useful only in a
very small subset of cases?